<?php
/* vim: set tabstop=4 shiftwidth=4: */

/*
 * StringIndexOutOfBoundsException
 *
 *
 * PHP version 5
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @category   PHP
 * @package    Commons
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    SVN: $Id: StringIndexOutOfBoundsException.php 80 2008-01-02 12:54:29Z whitestar $
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      File available since Release 0.8.0
 */

//namespace Commons::Lang;

require_once 'Commons/Lang/IndexOutOfBoundsException.php';
/*
use Commons::Lang::IndexOutOfBoundsException;
*/

/**
 * StringIndexOutOfBoundsException
 *
 *
 * @category   PHP
 * @package    Commons.Lang
 * @author     Yomei Komiya
 * @copyright  2007 the original author or authors.
 * @license    http://www.apache.org/licenses/LICENSE-2.0  Apache License 2.0
 * @version    Release: 0.9.0
 * @link       http://phpcommons.sourceforge.jp/
 * @see        
 * @since      Class available since Release 0.8.0
 */
class Commons_Lang_StringIndexOutOfBoundsException
	extends Commons_Lang_IndexOutOfBoundsException {

	/**
	 * Constructor
	 *
	 * Supported signatures:
	 *  - Commons_Lang_StringIndexOutOfBoundsException(string $message);
	 *  - Commons_Lang_StringIndexOutOfBoundsException(int $index);
	 * @param string|int error message or index
	 */
	public function Commons_Lang_StringIndexOutOfBoundsException($p1) {
		if (is_int($p1)) {
			parent::__construct('String index out of range: ' . $p1);
		}
		else {
			parent::__construct($p1);
		}
	}
		
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * c-hanging-comment-ender-p: nil
 * End:
 */
?>